data:extend(
{
  {
    type = "technology",
    name = "flame-turrets",
    icon = "__base__/graphics/icons/flame-thrower.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "flame-turret"
      }
    },
    prerequisites = {"turrets", "flame-thrower"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "a-j-b"
  },
  {
	type = "technology",
	name = "combat-loader",
	icon = "__flame turret__/graphics/icons/combat-loader.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "combat-loader"
		}
	},
	prerequisites = {"automation", "oil-processing"},
	unit =
	{
		count = 50,
		ingredients =
		{
			{"science-pack-1", 1},
			{"science-pack-2", 1}
		},
		time = 30
	},
	order = "a-b-a"
  }
})